Retrieve customers

Retrieves a list of past and existing customers from your Yotpo store. Use this endpoint to check if a customer was registered successfully with Yotpo.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
👍

How to use this endpoint

  • Required parameters are listed below. For the full list of properties, see About customers.
  • For example requests, see below.
  • For example responses, click the relevant status code on the right.

Example requests

GET /core/v3/stores/{store_id}/customers
GET /core/v3/stores/{store_id}/customers?page_info={page_info}
GET /core/v3/stores/{store_id}/customers?page_info={page_info}&limit={limit}
GET /core/v3/stores/{store_id}/customers?external_ids=ext1,ext2
GET /core/v3/stores/{store_id}/customers?email=name%40example.com
GET /core/v3/stores/{store_id}/customers?phone_number=%2B14155552671
📘

Good to know

It can take up to one minute for a customer's details to be created or updated in Yotpo.

📘

App partners

Partner apps call this endpoint at GET https://developers.yotpo.com/core/v3/stores/{store_id}/customers, with the access token the merchant's install gave you in the X-Yotpo-Token header. See Authenticating with OAuth 2.0.

It can take up to one minute for a customer's details to be created or updated in Yotpo.

Path Params
string
required

The store ID (app_key).

Query Params
string

Encoded page info.

int32
1 to 100
Defaults to 100

The number of results per page, from 1 to 100. Defaults to 100.

string

Return only entities specified by a comma-separated (without spaces) list of external IDs. The argument must be URL encoded. Max 100 IDs. Can't come with page_info or limit.

string

Flag for Yotpo product information to be included in the response. Choose one or several of the following: reviews, loyalty, or all. For example "loyalty". Defaults to "all".

string

The customer’s email address. Special characters should be encoded.

string

The customer’s phone number. Should be E.164 format, for example +11231234567. Phone number is not a unique identifier — multiple customers may share a phone number.

date

Retrieve all customer details updated from this date. The date format is YYYY-MM-DD

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain